import request from '@/utils/request'

/**
 * 获取统计数据
 * @param {Object} query 查询参数
 * @returns {Promise} 返回统计数据
 */
export function getOrderDailyAmount(query) {
  return request({
    url: '/dashboard/order/dailyAmount',
    method: 'get',
    params: query
  })
}

/**
 * 获取订单排行榜数据
 * @param {Object} query 查询参数
 * @returns {Promise} 返回排行榜数据
 */
export function getOrderRank(query) {
  return request({
    url: '/dashboard/order/rank',
    method: 'get',
    params: query
  })
}
